# aliasCount property

1. @protected

int get aliasCount

Returns the number of registered aliases for the current thread.

## Returns:

The count of alias mappings in the current thread

## Example:

    final registry = SimpleAliasRegistry();
    print(registry.aliasCount); // 0

    registry.registerAlias('service1', 'alias1');
    registry.registerAlias('service2', 'alias2');

    print(registry.aliasCount); // 2

## Implementation

    @protected
    int get aliasCount => synchronized(this, () {
      final aliasMap = _getAliasMap();
      return aliasMap.length;
    });